FENCE_WAIT_TIMEOUT(9)

NAME
fence_wait_timeout - sleep until the fence gets signaled or until timeout elapses

SYNOPSIS

signed long fence_wait_timeout(struct fence * fence, bool intr, signed long timeout);

ARGUMENTS

fence
    [in] the fence to wait on

intr
    [in] if true, do an interruptible wait

timeout
    [in] timeout value in jiffies, or MAX_SCHEDULE_TIMEOUT

DESCRIPTION

Returns -ERESTARTSYS if interrupted, 0 if the wait timed out, or the remaining timeout in jiffies on success. Other error values may be returned on custom implementations.

Performs a synchronous wait on this fence. It is assumed the caller directly or indirectly (buf-mgr between reservation and committing) holds a reference to the fence, otherwise the fence might be freed before return, resulting in undefined behavior.

COPYRIGHT